Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.logging
Class CallLoggingInterceptor

    java.lang.Object
      org.jboss.aspects.logging.CallLoggingInterceptor

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor, LoggingConstants

public final class CallLoggingInterceptor
extends Object
implements org.jboss.aop.advice.Interceptor, LoggingConstants

Logs invocations.

Version:
  $Revision: 1.2.2.4 $
Author:
  Adrian Brock.

Field Summary
`protected org.jboss.logging.Logger` | `log`

Fields inherited from interface org.jboss.aspects.logging.LoggingConstants
`CALL_LOGGING, LOGGING`

Constructor Summary
`CallLoggingInterceptor()`

Method Summary
`String` | `dumpInvocation(org.jboss.aop.joinpoint.Invocation invocation)` Display useful information about the invocation
`String` | `dumpInvocationResponse(Object response)` Display useful information about the invocation response
`String` | `getName()`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.jboss.logging.Logger log

Constructor Detail

### CallLoggingInterceptor

    public CallLoggingInterceptor()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

### dumpInvocation

    public String dumpInvocation(org.jboss.aop.joinpoint.Invocation invocation)

  Display useful information about the invocation

  Parameters:
    `invocation` - the invocation

### dumpInvocationResponse

    public String dumpInvocationResponse(Object response)

  Display useful information about the invocation response

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.